%global dlrn_nvr 15.5.0-2.20220804175403.d54e942
%global dlrn 1
%define upstream_version 15.5.0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version: 15.5.0
Release: 2.20220804175403.d54e942%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        ASL 2.0

URL:            https://launchpad.net/puppet-glance

Source0: 15.5.0-2.20220804175403.d54e942.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=d54e9429410bc763d16b63a4cd19148e181558df
Patch0001: 0001-DOWNSTREAM-ONLY-Add-support-for-image_format-disk_fo.patch
Patch0002: 0002-Add-sparse-image-upload-configuration-parameters.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20220804175403.d54e942
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Configure the oslo.concurrency lock_path

* Thu Dec 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20211210014116.043fa44
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Add support for the interface parameter in authtoken middleware

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20211108125629.f7ce22d
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Swift backend: the key parameter should be secret
- Add swift buffer-on-upload options for swift multibackend

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210911011916.7bcc8ef
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- [Train only] Run TripleO jobs on CentOS8 instead of CentOS7

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210904012026.c296a1c
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- TripleO: Reduce tempest test scope

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210618003035.8a23345
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210601005740.8a23345
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Prepare the final stable/train release

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-2.20210528110733.4b4b990
- Update patches

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Add parameters for multipath connection in cinder backend

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Add config parameter for cinder mounting needs

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Add sparse image upload configuration parameters (rhbz#1866741)

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Use glance-swift.conf by default

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- [DOWNSTREAM-ONLY] Add support for image_format/disk_fomats configuration (rhbz#1833277)
- Build containers for single consumer job

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Add cache prefetcher interval configuration option

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix outdated get_glance_crednetials in Puppet::Provider::Glance

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update the method of configuring glance backends

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Switch to Train

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix properties in glance_image provider for osc >= 4.0.0

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0




